/*{{TIDC_Wizard Auto Code Start                                 */
/****************************************************************/
/* don't change anything here until you know what you are doing!*/
/* the plug-in will change all text between the code marks      */
/* without user interaction!                                    */
/*                                                              */
/****************************************************************/

/****************************************************************/
/* software generated by Data Converter Plug-in (DCP)           */
/* based on <C:\CCSTUD~1.1\PLUGINS\AAP_DEV\c5500\d1256_55.h> */
/****************************************************************/
/****************************************************************/
/* ADS1256 Interface Software Version 1.1 for the TMS320C5500   */
/* Copyright (C) 2008 Texas Instruments Incorporated            */
/* All Rights Reserved                                          */
/*--------------------------------------------------------------*/
/* $Revision: 2 $                        $JustDate:  7/01/08 $  */
/* $Author: X0093217 $                                          */
/****************************************************************/
#ifndef __TADS1256_FN_H
#define __TADS1256_FN_H

/* this define is needed for the API 2.x                        */
#define __CSL_AVAILABLE

/* include the data converter api interface file                */
#include "tidc_api.h"

/* include the interface files for the chip support library     */
#include <csl_dma.h>
#include <csl_mcbsp.h>

/****************************************************************/
/** Structure definition for status register (STATUS)           */
/****************************************************************/
typedef union
{
   unsigned int value;
   struct
   {
       unsigned int reserved           :8;
       unsigned int id                 :4;
       unsigned int order              :1;
       unsigned int acal               :1;
       unsigned int bufen              :1;
       unsigned int drdy               :1;
   } control_bit;
} TADS1256STATUS;

/****************************************************************/
/** Structure definition for multiplexer control register (MUX) */
/****************************************************************/
typedef union
{
   unsigned int value;
   struct
   {
       unsigned int reserved           :8;
       unsigned int psel               :4;
       unsigned int nsel               :4;
   } control_bit;
} TADS1256MUX;

/****************************************************************/
/** Structure definition for A/D control register (ADCON)       */
/****************************************************************/
typedef union
{
   unsigned int value;
   struct
   {
       unsigned int reserved           :8;
       unsigned int bit7               :1;
       unsigned int clk                :2;
       unsigned int sdcs               :2;
       unsigned int pga                :3;
   } control_bit;
} TADS1256ADCON;

/****************************************************************/
/** Structure definition for A/D data rate (DRATE)              */
/****************************************************************/
typedef union
{
   unsigned int value;
   struct
   {
       unsigned int reserved           :8;
       unsigned int dr                 :8;
   } control_bit;
} TADS1256DRATE;

/****************************************************************/
/** Structure definition for GPIO control register (I/O)        */
/****************************************************************/
typedef union
{
   unsigned int value;
   struct
   {
       unsigned int reserved           :8;
       unsigned int dir3               :1;
       unsigned int dir2               :1;
       unsigned int dir1               :1;
       unsigned int dir0               :1;
       unsigned int dio3               :1;
       unsigned int dio2               :1;
       unsigned int dio1               :1;
       unsigned int dio0               :1;

   } control_bit;
} TADS1256IO;

/****************************************************************/
/** Structure definition for offset calibration 0 (OFC0)        */
/****************************************************************/
typedef union
{
   unsigned int value;
   struct
   {
       unsigned int reserved           :8;
       unsigned int ofc0               :8;
   } control_bit;
} TADS1256OFC0;

/****************************************************************/
/** Structure definition for offset calibration 1 (OFC1)        */
/****************************************************************/
typedef union
{
   unsigned int value;
   struct
   {
       unsigned int reserved           :8;
       unsigned int ofc1               :8;
   } control_bit;
} TADS1256OFC1;

/****************************************************************/
/** Structure definition for offset calibration 2 (OFC2)        */
/****************************************************************/
typedef union
{
   unsigned int value;
   struct
   {
       unsigned int reserved           :8;
       unsigned int ofc2               :8;
   } control_bit;
} TADS1256OFC2;

/****************************************************************/
/** Structure definition for full-scale calibration 0 (FSC0)    */
/****************************************************************/
typedef union
{
   unsigned int value;
   struct
   {
       unsigned int reserved           :8;
       unsigned int fsc0               :8;
   } control_bit;
} TADS1256FSC0;

/****************************************************************/
/** Structure definition for full-scale calibration 1 (FSC1)    */
/****************************************************************/
typedef union
{
   unsigned int value;
   struct
   {
       unsigned int reserved           :8;
       unsigned int fsc1               :8;
   } control_bit;
} TADS1256FSC1;

/****************************************************************/
/** Structure definition for full-scale calibration 2 (FSC2)    */
/****************************************************************/
typedef union
{
   unsigned int value;
   struct
   {
       unsigned int reserved           :8;
       unsigned int fsc2               :8;
   } control_bit;
} TADS1256FSC2;

/****************************************************************/
/** Data converter register structure definition.
 *  This structure can be used to access the initialization
 *  values for the ADS1256 from the data converter object.      */
/****************************************************************/
typedef struct
{
    TADS1256STATUS      status;
    TADS1256MUX         mux;
    TADS1256ADCON       adcon;
    TADS1256DRATE       drate;
    TADS1256IO          io;
    TADS1256OFC0        ofc0;
    TADS1256OFC1        ofc1;
    TADS1256OFC2        ofc2;
    TADS1256FSC0        fsc0;
    TADS1256FSC1        fsc1;
    TADS1256FSC2        fsc2;
} TADS1256REGS;

/****************************************************************/
/** Buffer object definition for dual buffering                 */
/****************************************************************/
typedef struct
{
    void             (*ptrCallBack)(void *);/**< ptr to callback*/
    long             *lBufPtr;       /**< read buffer pointer   */
    unsigned int     uiBufSize;      /**< read buffer size      */
    volatile unsigned int uiStatus;  /**<  status of the buffer */
} TADS1256BUFOBJ;

/****************************************************************/
/** \struct TADS1256
 *  Definition of the data converter object. This is the main
 *  object to work with.                                        */
/****************************************************************/
typedef struct
{
/** \var f
 *   Structure for the API function pointers.
 *   They are declared in tidc_api.h and defined in tidc_api.c. */
/** \var  DCP_ SERIAL *serial
 *   Pointer to the McBSP configuration
 *   structure as defined in the tidc_api.h.                    */
/** \var regs
 *  Structure for the registers of the ADS1256. This structure
 *  will be initialized by the code and the values there will
 *  be sent to the device during dc_configure(). Any change
 *  the register values need to be submitted to the device
 *  using the dc_control() function.                            */
/** \var initRegs
 *  This structure is the backup structure for TADS1256REGS regs.
 *  At startup, it is initialized to the same values as regs, but
 *  will not be changed during the program. The function
 *  dc_close() will then copy these values to the regs structure
 *  to allow a proper re-configuration of the device.
 *  converter with the original register settings.              */
/** \var xferBuffer[2]
 *  These array holds two structures of the the TADS1256BUFOBJ,
 *  which are used to hold information about the buffers
 *  submitted.                                                  */
/** \var hDmaRcv
 *  Handle to the DMA channel for the data transfer from the
 *  serial port to the memory array. This handle will be created
 *  by the function InitRcvDma(), which is called during
 *  ADS1256_configure().                                        */
 /** \var hDmaXmt
 *  Handle to the DMA channel for the data transfer from the
 *  dummy memory location to the McBSP. This transfer is necessary
 *  to trigger the activity on the SCLK line. The handle will be
 *  created by the function InitXmtDma(), which is called
 *  during ADS1256_configure().                                 */
 /** \var uiDrdyIntNum
 *  This variable holds the number of the interrupt line of the
 *  DSP, where the DRDY line of the converter is connected to.  */
/** \var uiMcbspPeriod
 *  Value for the McBSP Period Register. Will be used to set the
 *  speed of the serial port during dc_configure().             */
/** \var iXferInProgress
 *  This value indicates if there is a data transfer ongoing and
 *  can have the following values:
 *      - 0: No transfer is ongoing
 *      - 1: One transfer is ongoing
 *      - 2: One transfer is ongoing and another is submitted.  */
 /** \var uiRcvCcrValue
 *  Backup for the receive DMA Channel Control Register.        */
/** \var uiXmtCcrValue
 *  Backup for the transmit DMA Channel Control Register.       */
/** \var iObjectIndex
 *  Holds the index of the last buffer object used.             */
/** \var uiClockDivision
 *  Holds the timer division value equivalent to the t(clkin) of
 *  the converter                                               */
/****************************************************************/
    TTIDC3             f;
    DCP_SERIAL         *serial;
    TADS1256REGS       regs;
    TADS1256REGS       initRegs;
    TADS1256BUFOBJ     xferBuffer[2];
    DMA_Handle         hDmaRcv;
    DMA_Handle         hDmaXmt;
    int                iDmaChanNumber;
    unsigned int       uiDrdyIntNum;
    unsigned int       uiMcbspPeriod;
    volatile int       iXferInProgress;
    unsigned int       uiRcvCcrValue;
    unsigned int       uiXmtCcrValue;
    int                iObjectIndex;
    unsigned int       uiClockDivision;
} TADS1256;

/****************************************************************/
/* Define external DC object pointer(s)                         */
/****************************************************************/
extern TADS1256 Ads1256_1;
extern DCP_SERIAL serial1;


/****************************************************************/
/* Deklarations for the exported functions                      */
/****************************************************************/
TTIDCSTATUS ADS1256_configure(void *pDC);
TTIDCSTATUS ADS1256_control(void *pDC, int iCmd, void *iValue);
TTIDCSTATUS ADS1256_readsample(void *pDC, long *lData);
TTIDCSTATUS ADS1256_writesample(void *pDC, long lData);
TTIDCSTATUS ADS1256_readblock(void *pDC, void *pData,
                             unsigned long ulCount,
                             void (*callback) (void *));
TTIDCSTATUS ADS1256_writeblock(void *pDC, void *pData,
                              unsigned long ulCount,
                              void (*callback) (void *));
TTIDCSTATUS ADS1256_close(void *pDC);
interrupt void ADS1256_rblockFinished(void);
unsigned long ADS1256_getFinishedBufferAddress(TADS1256 *pADS);
unsigned int ADS1256_getFinishedBufferSize(TADS1256 *pADS);


/****************************************************************/
/* Define commands for the dc_control() function                */
/* The names of the commands are derived from the datasheet     */
/****************************************************************/
#define ADS1256_CMD_WAKEUP        (0x0000u)
#define ADS1256_CMD_RDATA         (0x0001u)
#define ADS1256_CMD_RDATAC        (0x0003u)
#define ADS1256_CMD_SDATAC        (0x000Fu)
#define ADS1256_CMD_RREG          (0x1000u)
#define ADS1256_CMD_WREG          (0x5000u)
#define ADS1256_CMD_SELFCAL       (0x00F0u)
#define ADS1256_CMD_SELFOCAL      (0x00F1u)
#define ADS1256_CMD_SELFGCAL      (0x00F2u)
#define ADS1256_CMD_SYSOCAL       (0x00F3u)
#define ADS1256_CMD_SYSGCAL       (0x00F4u)
#define ADS1256_CMD_SYNC          (0x00FCu)
#define ADS1256_CMD_STANDBY       (0x00FDu)
#define ADS1256_CMD_RESET         (0x00FEu)
#define ADS1256_CMD_SETDRATE      (0x0100u)
#define ADS1256_CMD_SELECTPOSCHANNEL (0x0200u)
#define ADS1256_CMD_SELECTNEGCHANNEL (0x0300u)
#define ADS1256_CMD_SETPGA        (0x0400u)
#define ADS1256_CMD_SETIODIRECTION (0x0500u)
#define ADS1256_CMD_SETIOLEVEL    (0x0600u)
#define ADS1256_CMD_GETIOLEVEL    (0x0700u)
#define ADS1256_CMD_SETOFC        (0x0800u)
#define ADS1256_CMD_GETOFC        (0x0900u)
#define ADS1256_CMD_SETFSC        (0x0A00u)
#define ADS1256_CMD_GETFSC        (0x0B00u)

/****************************************************************/
/* Define names for the register addresses used in the RREG and */
/* WREG commands                                                */
/****************************************************************/
#define ADS1256_REG_STATUS        (0x0000u)
#define ADS1256_REG_MUX           (0x0100u)
#define ADS1256_REG_ADCON         (0x0200u)
#define ADS1256_REG_DRATE         (0x0300u)
#define ADS1256_REG_IO            (0x0400u)
#define ADS1256_REG_OFC0          (0x0500u)
#define ADS1256_REG_OFC1          (0x0600u)
#define ADS1256_REG_OFC2          (0x0700u)
#define ADS1256_REG_FSC0          (0x0800u)
#define ADS1256_REG_FSC1          (0x0900u)
#define ADS1256_REG_FSC2          (0x0A00u)

/****************************************************************/
/* ADS1256 defines for control registers bit set/clear          */
/****************************************************************/
/* register STATUS                                              */
#define ADS1256_BUFEN_ENABLE      (0x0002u)
#define ADS1256_BUFEN_DISABLE     (0x0000u)
#define ADS1256_ACAL_ENABLE       (0x0004u)
#define ADS1256_ACAL_DISABLE      (0x0000u)
#define ADS1256_ORDER_MSB         (0x0008u)
#define ADS1256_ORDER_LSB         (0x0000u)

/* register MUX                                                 */
#define ADS1256_NSEL_0            (0x0000u)
#define ADS1256_NSEL_1            (0x0001u)
#define ADS1256_NSEL_2            (0x0002u)
#define ADS1256_NSEL_3            (0x0003u)
#define ADS1256_NSEL_4            (0x0004u)
#define ADS1256_NSEL_5            (0x0005u)
#define ADS1256_NSEL_6            (0x0006u)
#define ADS1256_NSEL_7            (0x0007u)
#define ADS1256_NSEL_COMM         (0x0008u)

#define ADS1256_PSEL_0            (0x0000u)
#define ADS1256_PSEL_1            (0x0010u)
#define ADS1256_PSEL_2            (0x0020u)
#define ADS1256_PSEL_3            (0x0030u)
#define ADS1256_PSEL_4            (0x0040u)
#define ADS1256_PSEL_5            (0x0050u)
#define ADS1256_PSEL_6            (0x0060u)
#define ADS1256_PSEL_7            (0x0070u)
#define ADS1256_PSEL_COMM         (0x0080u)

/* register ADCON                                               */
#define ADS1256_PGA_1             (0x0000u)
#define ADS1256_PGA_2             (0x0001u)
#define ADS1256_PGA_4             (0x0002u)
#define ADS1256_PGA_8             (0x0003u)
#define ADS1256_PGA_16            (0x0004u)
#define ADS1256_PGA_32            (0x0005u)
#define ADS1256_PGA_64            (0x0006u)

#define ADS1256_SDCS_OFF          (0x0000u)
#define ADS1256_SDCS_05u          (0x0008u)
#define ADS1256_SDCS_2u           (0x0010u)
#define ADS1256_SDCS_10u          (0x0018u)

#define ADS1256_CLK_OFF           (0x0000u)
#define ADS1256_CLK_FCLKIN        (0x0020u)
#define ADS1256_CLK_FCLKINHALF    (0x0040u)
#define ADS1256_CLK_FCLKINQUART   (0x0060u)

/* register DRATE                                               */
#define ADS1256_DRATE_2HALF       (0x0003u)
#define ADS1256_DRATE_5           (0x0013u)
#define ADS1256_DRATE_10          (0x0023u)
#define ADS1256_DRATE_15          (0x0033u)
#define ADS1256_DRATE_25          (0x0043u)
#define ADS1256_DRATE_30          (0x0053u)
#define ADS1256_DRATE_50          (0x0063u)
#define ADS1256_DRATE_60          (0x0072u)
#define ADS1256_DRATE_100         (0x0082u)
#define ADS1256_DRATE_500         (0x0092u)
#define ADS1256_DRATE_1000        (0x00A1u)
#define ADS1256_DRATE_2000        (0x00B0u)
#define ADS1256_DRATE_3750        (0x00C0u)
#define ADS1256_DRATE_7500        (0x00D0u)
#define ADS1256_DRATE_15000       (0x00E0u)
#define ADS1256_DRATE_30000       (0x00F0u)

/* register IO                                                  */
#define ADS1256_GPIO0_HIGH        (0x0101u)
#define ADS1256_GPIO0_LOW         (0x0001u)
#define ADS1256_GPIO1_HIGH        (0x0202u)
#define ADS1256_GPIO1_LOW         (0x0002u)
#define ADS1256_GPIO2_HIGH        (0x0404u)
#define ADS1256_GPIO2_LOW         (0x0004u)
#define ADS1256_GPIO3_HIGH        (0x0808u)
#define ADS1256_GPIO3_LOW         (0x0008u)

#define ADS1256_GPIO0_IN          (0x1010u)
#define ADS1256_GPIO0_OUT         (0x0010u)
#define ADS1256_GPIO1_IN          (0x2020u)
#define ADS1256_GPIO1_OUT         (0x0020u)
#define ADS1256_GPIO2_IN          (0x4040u)
#define ADS1256_GPIO2_OUT         (0x0040u)
#define ADS1256_GPIO3_IN          (0x8080u)
#define ADS1256_GPIO3_OUT         (0x0080u)

#define ADS1256_GPIO_0            (0x0000u)
#define ADS1256_GPIO_1            (0x0001u)
#define ADS1256_GPIO_2            (0x0002u)
#define ADS1256_GPIO_3            (0x0003u)

/* other useful definitions                                     */
#define ADS1256_MAX_BUFFERS       (0x0002u)

/****************************************************************/
/* DEFINITIONS FOR THE DMA CHANNEL REGISTERS                    */
/****************************************************************/
#define ADS1256_DMA_INPUT   (0)      /* read from converter     */
#define ADS1256_DMA_OUTPUT  (1)
#define ADS1256_DMA_ENDPROG (0x0800u)/* mask for the ENDPROG bit*/
#define ADS1256_DMA_SYNC    (0x001Fu)/* mask for the SYNC bits  */

/****************************************************************/
/* Define for the channel control register DMACCR               */
/* operating mode: Input                                        */
/* Value: 0x4140 = 0100 0001 0100 0000                          */
/*                 |||| |||| |||| ||||                          */
/*                 |||| |||| |||+ ++++- SYNC (set by function)  */
/*                 |||| |||| ||+------- FS   (element)          */
/*                 |||| |||| |+-------- PRIO (high)             */
/*                 |||| |||| +--------- EN   (disable)          */
/*                 |||| |||+----------- AUTOINIT (on)           */
/*                 |||| ||+------------ REPEAT (off)            */
/*                 |||| |+------------- RESERVED                */
/*                 |||| +-------------- ENDPROG (off)           */
/*                 ||++---------------- SRCAMODE (constant)     */
/*                 ++------------------ DSTAMODE (autoincr.)    */
/****************************************************************/
#define ADS1256_DMACCR_INPUT_VALUE (0x4140u)

/****************************************************************/
/* define for the channel control register DMACCR               */
/* operating mode: Output                                       */
/* Value: 0x0140 = 0000 0001 0100 0000                          */
/*                 |||| |||| |||| ||||                          */
/*                 |||| |||| |||+ ++++- SYNC (set by function)  */
/*                 |||| |||| ||+------- FS   (element)          */
/*                 |||| |||| |+-------- PRIO (high)             */
/*                 |||| |||| +--------- EN   (disable)          */
/*                 |||| |||+----------- AUTOINIT (on)           */
/*                 |||| ||+------------ REPEAT (off)            */
/*                 |||| |+------------- RESERVED                */
/*                 |||| +-------------- ENDPROG (off)           */
/*                 ||++---------------- SRCAMODE (constant)     */
/*                 ++------------------ DSTAMODE (constant)     */
/****************************************************************/
#define ADS1256_DMACCR_OUTPUT_VALUE   (0x0140u)

/****************************************************************/
/* define for the channel control register DMACCR               */
/* operating mode: Input / dummy transfer                       */
/* Value: 0x08C0 = 0000 1000 1100 0000                          */
/*                 |||| |||| |||| ||||                          */
/*                 |||| |||| |||+ ++++- SYNC (set by function)  */
/*                 |||| |||| ||+------- FS   (Element)          */
/*                 |||| |||| |+-------- PRIO (high)             */
/*                 |||| |||| +--------- EN   (enable)           */
/*                 |||| |||+----------- AUTOINIT (off)          */
/*                 |||| ||+------------ REPEAT (off)            */
/*                 |||| |+------------- RESERVED                */
/*                 |||| +-------------- ENDPROG (on)            */
/*                 ||++---------------- SRCAMODE (constant)     */
/*                 ++------------------ DSTAMODE (constant)     */
/****************************************************************/
#define ADS1256_DMACCR_VALUE_DUMMY (0x08C0u)

/****************************************************************/
/* define for the channel interrupt control register DMACICR    */
/* operating mode: input                                        */
/* Value: 0x0020 = 0000 0000 0010 0000                          */
/*                 |||| |||| |||| ||||                          */
/*                 |||| |||| |||| |||+- TIMEOUTIE (off)         */
/*                 |||| |||| |||| ||+-- DROPIE (off)            */
/*                 |||| |||| |||| |+--- HALFIE (off)            */
/*                 |||| |||| |||| +---- FRAMIE (off)            */
/*                 |||| |||| |||+------ LASTIE (off)            */
/*                 |||| |||| ||+------- BLOCKIE (on)            */
/*                 ++++ ++++ ++-------- RESERVED                */
/****************************************************************/
#define ADS1256_DMACICR_INPUT_VALUE   (0x0020u)

/****************************************************************/
/* define for the channel interrupt control register DMACICR    */
/* operating mode: output                                       */
/* Value: 0x0000 = 0000 0000 0000 0000                          */
/*                 |||| |||| |||| ||||                          */
/*                 |||| |||| |||| |||+- TIMEOUTIE (off)         */
/*                 |||| |||| |||| ||+-- DROPIE (off)            */
/*                 |||| |||| |||| |+--- HALFIE (off)            */
/*                 |||| |||| |||| +---- FRAMIE (off)            */
/*                 |||| |||| |||+------ LASTIE (off)            */
/*                 |||| |||| ||+------- BLOCKIE (off)           */
/*                 ++++ ++++ ++-------- RESERVED                */
/****************************************************************/
#define ADS1256_DMACICR_OUTPUT_VALUE   (0x0000u)

/****************************************************************/
/* define for the channel source destination parameter register */
/* DMACSDP                                                      */
/* operating mode: Input                                        */
/* Value: 0x000E = 0000 0000 0000 1110                          */
/*                 |||| |||| |||| ||||                          */
/*                 |||| |||| |||| ||++- DATATYPE (32 bit)       */
/*                 |||| |||| ||++-++--- SRC (peripheral)        */
/*                 |||| |||| |+-------- SRCPACK (off)           */
/*                 |||| |||+-+--------- SRCBEN (off)            */
/*                 |||+ +++------------ DST (set by function)   */
/*                 ||+- --------------- DSTPACK (off)           */
/*                 ++-- --------------- SRCBEN (off)            */
/****************************************************************/
#define ADS1256_DMACSDP_INPUT_VALUE  (0x000Eu)

/****************************************************************/
/* define for the channel source destination parameter register */
/* DMACSDP                                                      */
/* operating mode: Output                                       */
/* Value: 0x0602 = 0000 0110 0000 0010                          */
/*                 |||| |||| |||| ||||                          */
/*                 |||| |||| |||| ||++- DATATYPE (32 bit)       */
/*                 |||| |||| ||++-++--- SRC (set by function)   */
/*                 |||| |||| |+-------- SRCPACK (off)           */
/*                 |||| |||+-+--------- SRCBEN (off)            */
/*                 |||+ +++------------ DST (peripheral)        */
/*                 ||+- --------------- DSTPACK (off)           */
/*                 ++-- --------------- SRCBEN (off)            */
/****************************************************************/
#define ADS1256_DMACSDP_OUTPUT_VALUE  (0x0602u)

/****************************************************************/
/* define for the channel source destination parameter register */
/* DMACSDP                                                      */
/* operating mode: Output                                       */
/* Value: 0x0002 = 0000 0000 0000 0010                          */
/*                 |||| |||| |||| ||||                          */
/*                 |||| |||| |||| ||++- DATATYPE (32 bit)       */
/*                 |||| |||| ||++-++--- SRC (set by function)   */
/*                 |||| |||| |+-------- SRCPACK (off)           */
/*                 |||| |||+-+--------- SRCBEN (off)            */
/*                 |||+ +++------------ DST (set by function)   */
/*                 ||+- --------------- DSTPACK (off)           */
/*                 ++-- --------------- SRCBEN (off)            */
/****************************************************************/
#define ADS1256_DMACSDP_VALUE_DUMMY  (0x0002u)

/***************************************************************/
/* define values for the different memory areas, as they are   */
/* needed for the DMACSDP register at runtime                  */
/***************************************************************/
/* SRC/ DST  = 00 SARAM                                        */
/*           = 01 DARAM                                        */
/*           = 10 EMIF                                         */
/*           = 11 RESERVED                                     */
/***************************************************************/
#define ADS1256_DMACSDP_SARAM_SRC  (0x0000)
#define ADS1256_DMACSDP_DARAM_SRC  (0x0004)
#define ADS1256_DMACSDP_EMIF_SRC   (0x0008)

#define ADS1256_DMACSDP_SARAM_DST  (0x0000)
#define ADS1256_DMACSDP_DARAM_DST  (0x0200)
#define ADS1256_DMACSDP_EMIF_DST   (0x0400)

#endif /* __TADS1256_FN_H */

/****************************************************************/
/* END OF t1256_fn.h                                             */
/****************************************************************/
/*TIDC_Wizard Auto Code End}}*/
